JDBCNClob (HSQLDB 2.4.1 API)
Date: 2018-05-20

org.hsqldb.jdbc

## Class JDBCNClob

- java.lang.Object
- - org.hsqldb.jdbc.JDBCClob
  - - org.hsqldb.jdbc.JDBCNClob

- All Implemented Interfaces:
    java.sql.Clob, java.sql.NClob

      public class JDBCNClob
      extends JDBCClob
      implements java.sql.NClob

  The mapping in the Java™ programming language for the SQL `NCLOB` type. An SQL `NCLOB` is a built-in type that stores a Character Large Object using the National Character Set as a column value in a row of a database table.

  The `NClob` interface extends the `Clob` interface which provides provides methods for getting the length of an SQL `NCLOB` value, for materializing a `NCLOB` value on the client, and for searching for a substring or `NCLOB` object within a `NCLOB` value. A `NClob` object, just like a `Clob` object, is valid for the duration of the transaction in which it was created. Methods in the interfaces `ResultSet`, `CallableStatement`, and `PreparedStatement`, such as `getNClob` and `setNClob` allow a programmer to access an SQL `NCLOB` value. In addition, this interface has methods for updating a `NCLOB` value.

  ### HSQLDB-Specific Information:

  First, it should be noted that since HSQLDB represents all character data internally as Java UNICODE (UTF16) String objects, there is not currently any appreciable difference between the HSQLDB XXXCHAR types and the SQL 2003 NXXXCHAR and NCLOB types.

  See `JDBCClob` for further information.

  Since:
    JDK 1.6, HSQLDB 2.0
  Author:
    Campbell Burnet (campbell-burnet@users dot sourceforge.net)
  See Also:
    `JDBCClob`, `JDBCClobClient`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCNClob(java.lang.String data)`

  - ### Method Summary

    - ### Methods inherited from class org.hsqldb.jdbc.JDBCClob

      `free, getAsciiStream, getCharacterStream, getCharacterStream, getSubString, length, position, position, setAsciiStream, setCharacterStream, setString, setString, setStringBuffer, truncate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.Clob

      `free, getAsciiStream, getCharacterStream, getCharacterStream, getSubString, length, position, position, setAsciiStream, setCharacterStream, setString, setString, truncate`

- - ### Constructor Detail

    - #### JDBCNClob

          public JDBCNClob(java.lang.String data)
                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

Copyright © 2001 - 2018 HSQL Development Group.